Status: New Start date:
Assignee: Sachin Divekar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Sprint 12 Apr

Description

All WSC are making a call to a function called check_capabilities() (please correct the spelling here after checking with the source),
which is supposed to return a boolean saying whether the request is authorised or not. This function call currently takes the user ID
and the list of required capabilities. This is not enough -- the function will need to take the realm of the user too.

Therefore, the function signature needs to be changed to accept the Gin context object, not just the user ID. And it must also accept
the app for which the operation is being attempted. (Some operations require app-specific capabilities.)

This task will modify the signature of the check_capabilities() function and also edit the code of all the WSC to pass the correct
parameters to it.

Note that this task does not involve writing the real code for the function. It just involves changing the stub function signature and
changing of all WSC code which calls the stub function.

History

#1 - 11/03/2024 04:55 PM - Shuvam Misra

- Assignee set to Sachin Divekar

#2 - 20/03/2024 03:22 PM - Shuvam Misra
- Target version changed from Sprint 15 Mar to Sprint 29 Mar

#3 - 26/03/2024 07:33 PM - Shuvam Misra
- Target version changed from Sprint 29 Mar to Sprint 12 Apr
